%define module	Video-ivtv

%{?perl_default_filter}

Name:		perl-%{module}
Summary:	Perl modules for ivtv support
Group:		Development/Perl
Version:	0.13
Release:       	%mkrel 29
License:	GPL or Artistic
URL:		http://ivtvdriver.org/
Source0:	http://dl.ivtvdriver.org/supporting-tools/%{module}-%{version}.tar.bz2

BuildRequires:	perl-devel

%description
Video::ivtv is designed to be a quick hack at making the record_ivtv.pl
script not have to depend on the test_ioctl program included with the ivtv
utils.  By moving to have the things that have proven difficult to do purely
in perl to C where they currently are being done, I can concentrate on
improving the code rather than hitting my head against the wall trying to
do code cleanups.  ;)

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
#make test

%install
%make_install

%files
%doc README MANIFEST Changes
%{perl_vendorarch}/Video/ivtv.pm
%dir %{perl_vendorarch}/Video/
%{perl_vendorarch}/auto/Video/ivtv/ivtv.so
%dir %{perl_vendorarch}/auto/Video/ivtv/
%dir %{perl_vendorarch}/auto/Video/
%{_mandir}/man3/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.13-29.mga8
+ Revision: 1595302
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.13-28.mga8
+ Revision: 1530169
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.13-27.mga8
+ Revision: 1433946
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.13-26.mga7
+ Revision: 1293974
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.13-25.mga7
+ Revision: 1250367
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.13-24.mga7
+ Revision: 1167298
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.13-23.mga7
+ Revision: 1149432
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.13-22.mga7
+ Revision: 1126635
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.13-21.mga6
+ Revision: 1035685
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.13-20.mga6
+ Revision: 958199
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.13-19.mga6
+ Revision: 845497
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.13-18.mga6
+ Revision: 841298
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.13-17.mga5
+ Revision: 743375
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.13-16.mga5
+ Revision: 686827
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.13-15.mga5
+ Revision: 631874
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.13-14.mga4
+ Revision: 525061
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.13-13.mga4
+ Revision: 431830
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.13-12.mga3
+ Revision: 374724
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.13-11.mga3
+ Revision: 251305
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.13-10.mga2
+ Revision: 105107
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.13-9.mga1
+ Revision: 31445
- mageia rebuild
- imported package perl-Video-ivtv


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.13-9mdv2011.0
+ Revision: 556190
- rebuild for perl 5.12

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.13-8mdv2010.0
+ Revision: 440743
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.13-7mdv2009.1
+ Revision: 350219
- 2009.1 rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.13-6mdv2009.0
+ Revision: 258757
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.13-5mdv2009.0
+ Revision: 246694
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.13-3mdv2008.1
+ Revision: 152386
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.13-2mdv2008.1
+ Revision: 136364
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Jan 03 2007 Stefan van der Eijk <stefan@mandriva.org> 0.13-2mdv2007.0
+ Revision: 103841
- Import perl-Video-ivtv

* Sun Feb 05 2006 Stefan van der Eijk <stefan@eijk.nu> 0.13-2mdk
- Rebuild
- %%mkrel
- update URLs

* Wed Nov 17 2004 Stefan van der Eijk <stefan@mandrake.org> 0.13-1mdk
- 0.13

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 0.12-5mdk
- Rebuild for new perl

* Fri Jun 25 2004 Stefan van der Eijk <stefan@mandrake.org> 0.12-4mdk
- initial Mandrake package
- License
- Requires

